Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.encog.neural.pnn
Enum PNNKernelType

    java.lang.Object
      java.lang.Enum<PNNKernelType>
          org.encog.neural.pnn.PNNKernelType

All Implemented Interfaces:
  Serializable, Comparable<PNNKernelType>

    public enum PNNKernelType

extends Enum<PNNKernelType>

Specifies the kernel type for the PNN.

Enum Constant Summary
`Gaussian` A Gaussian curved kernel.
`Reciprocal` A steep kernel.

Method Summary
`static PNNKernelType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PNNKernelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Gaussian

    public static final PNNKernelType Gaussian

  A Gaussian curved kernel. The usual choice.

### Reciprocal

    public static final PNNKernelType Reciprocal

  A steep kernel.

Method Detail

### values

    public static PNNKernelType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PNNKernelType c : PNNKernelType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PNNKernelType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011. All Rights Reserved.